package cn.iocoder.yudao.module.mes.dal.mysql.record;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.mes.dal.dataobject.record.RecordJiashiDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 加湿记录 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface RecordJiashiMapper extends BaseMapperX<RecordJiashiDO> {

    default PageResult<RecordJiashiDO> selectPage(PageParam reqVO, Long recordId) {
        return selectPage(reqVO, new LambdaQueryWrapperX<RecordJiashiDO>()
                .eq(RecordJiashiDO::getRecordId, recordId)
                .orderByDesc(RecordJiashiDO::getId));
    }

    default int deleteByRecordId(Long recordId) {
        return delete(RecordJiashiDO::getRecordId, recordId);
    }

}